Qt 5.5 for Windows Phone/RT: unknown modules in Qt



  • Hi,

    I tried to compile for Windows RT/Windows Phone on a Windows 10 64bit version using the current Qt Version 5.5.1. Whenever I try to run qmake I receive a "Unknown module(s) in QT: printsupport" error even though I dont even include printsupport in my pro file (QT += core gui multimedia). Windows MinGW/MSVC is compiling.

    Any ideas whats going wrong there?

    Thanks



  • Hi,

    which VS version are you using. Also could you paste your configure line and verify that you have been using the x86 command prompt?

    As you didn't mention that the build of Qt failed, we're fishing a bit in the dark here.

    I assume you were targeting Windows Phone 8.1?



  • I just downloaded the current Visual Studio 2015 Community version on my Windows 10 Machine. I dont compile Qt on my own. I use the Online installer to install the current SDKs for Windows RT/Phone 8.1.

    I am targeting Windows Phone and RT, but both lead to this error when I use the prebuilt SDK in QtCreator on my own project file.


  • Moderators

    As far as I know there is no official Qt build for VS2015 yet. Which Qt version did you install (I mean for which VS version)?



  • I am stupid... I included another project file that requires printsupport as module. Since it doesnt exist for Windows Phone/RT the error is shown.

    So this is solved...

    Thanks anyway



Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.